Name:		x11-driver-input-mtrack
Version:	0.5.1
Release:	%mkrel 2
Summary:	Xorg Multitouch Trackpad (need for MagicMouse)Driver
Group:		System/X11
URL:		https://github.com/p2rkw/xf86-input-mtrack/tree/master
Source:		xf86-input-mtrack-%{version}.tar.xz
Source1:	80-mtrack.conf
License:	GPLv2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-server-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	mtdev-devel

Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)
# Kernel multi-touch transformation library
Requires: mtdev 

%description
An Xorg driver for multitouch trackpads.
Supports any trackpad whose kernel driver uses the slotted multitouch protocol.
For more information on the protocol see the kernel documentation.

This driver is compatible with Xorg server versions 1.7 to 1.19.0.
It requires the mtdev library to operate.
Xorg Multitouch Trackpad Driver needed as additional suggestion for
MagicMouse2 and Magic-Trackpad2, if your libinput will not works with MM2.
A multitouch X driver using the kernel MT protocol.

This software is licensed under the GPLv2 and
is a fork of the xf86-input-multitouch driver by Henrik Rydberg.
You should add your user to group "input" !

Examples of configurations for
acer-aspire-s3.conf
dell-precision-5520.conf
dell-xps13-9333.conf
lenovo-710s.conf
lenovo-yoga-2-pro.conf
macbook.conf
are placed on /usr/share/X11/xorg.conf.d/ .
use one for change your settings and restart your x-session with
logout and login back

%package devel
Summary:        Development files for programing with the xorg mtrack driver
Group:          Development/Libraries

%description devel
Development files for programing with the xorg mtrack driver


%prep
%setup -q -n xf86-input-mtrack-%{version}


%build
libtoolize -f
autoreconf -fi
%configure2_5x --includedir=%{_includedir}/xorg \
		--enable-tools
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d %{buildroot}%{_includedir}/xorg
install -m 0644 include/*.h %{buildroot}%{_includedir}/xorg/
mkdir -p $RPM_BUILD_ROOT/etc/X11/xorg.conf.d
# higher priority than synaptics (70-synaptics.conf), apparently the last
# driver entry wins ...
install -c -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xorg.conf.d/80-mtrack.conf
# install examples .conf's
mkdir -p $RPM_BUILD_ROOT/usr/share/X11/xorg.conf.d
install -c -m 0644 $RPM_BUILD_DIR/xf86-input-mtrack-%{version}/examples/*.conf $RPM_BUILD_ROOT/usr/share/X11/xorg.conf.d/


# Get rid of libtool archives                        
rm -rf %{buildroot}%{_libdir}/xorg/modules/input/*.la 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README.md CREDITS
%{_libdir}/xorg/modules/input/mtrack_drv.so
%config(noreplace) /etc/X11/xorg.conf.d/80-mtrack.conf
%{_datadir}/X11/xorg.conf.d/*.conf

%files devel
%defattr(-,root,root)
%{_includedir}/xorg/*.h


%changelog
* Wed Jan 26 2022 tex - 0.5.1-2pclos2022
- rebuild against updates

* Mon Oct 14 2019 onkelho <oh-quait at gmail.com> - 0.5.1-1pclos2019
- new version release
- Latest commit c157a1b on Aug 26 

